I suggest you ...

mysql 5.7

When will this update available mysql 5.7 in the panel.

53 votes
Sign in
(thinking…)
Sign in with: Facebook Google
Signed in as (Sign out)

We’ll send you updates on this idea

Tom shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

16 comments

Sign in
(thinking…)
Sign in with: Facebook Google
Signed in as (Sign out)
Submitting...
  • Thierry M. commented  ·   ·  Flag as inappropriate

    Working on the second project now, where we have to adjust the database structure to fit Cloudways' outdated MySQL version, as we work a lot with JSON data types in MySQL — which aren't supported before 5.7.

    Although you talk about the new data types on your blog, they cannot be used on your platform due to an outdated version of MySQL... link: https://www.cloudways.com/blog/mysql-data-types/)

    Could you please investigate updating to MySQL 5.7?

  • Anonymous commented  ·   ·  Flag as inappropriate

    MySQL 5.7+ is not a luxury. If you guys want to retain your customers this must be addressed immediately.

  • Len commented  ·   ·  Flag as inappropriate

    Needs to be done a.s.a.p, because the new laravel requires the max-length to be higher to support emoji storage in the database, otherwise you'll run into issues like:

    Syntax error or access violation: 1071 Specified key was too long; max key length is 767 bytes

    And MarioDB 10 does not support this.

  • Anonymous commented  ·   ·  Flag as inappropriate

    I am also looking for the MySQL 5.7 support to add JSON data type to Laravel apps. Any update on when it will be available in our Dashboards?

  • Stan commented  ·   ·  Flag as inappropriate

    Hey there, any updates on this? Kind of hard to imagine that something takes that much time to implement. ..

  • g commented  ·   ·  Flag as inappropriate

    Mariadb 10.0.32 does not support json well. It takes Mariadb 10.2 to be almost correct. Again mariadb 10.2 was released again on April 18,2016. More than 1 year already! Please add an updated version of MYSQL or MARIADB. We cannot work with outdated tools. For accommodation in the clouds and the quality of your offer, I am really disappointed. Good continuation. I pray for a newer version of SQL.

  • Adam commented  ·   ·  Flag as inappropriate

    I have switched to MariaDB which is version 10.0.30 and it doesn't support JSON columns. Please make mysql 5.7 available.

  • Simon F commented  ·   ·  Flag as inappropriate

    Any news about mysql 5.7?

    Is it going to be implemented as a package update?

  • Pedro Bernardo commented  ·   ·  Flag as inappropriate

    I really need this to. I need for a project some new features from Mysql 5.7 like GIS and JSON.

    Thanks

Feedback and Knowledge Base